petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatNullSpaceTest

Tests if the claimed null space is really a null space of a matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatNullSpaceTest(MatNullSpace sp,Mat mat,PetscBool  *isNull)

Collective on MatNullSpace

### Input Parameters

| sp | - the null space context
| mat | - the matrix

### Output Parameters

isNull -PETSC_TRUE if the nullspace is valid for this matrix

### See Also

MatNullSpaceCreate(), MatNullSpaceDestroy(), MatNullSpaceSetFunction()

### Level

advanced

### Location

src/mat/interface/matnull.c

### Examples

src/snes/examples/tutorials/ex62.c.html
src/ts/examples/tutorials/ex50.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages